attribute highp vec4 a_position;
attribute mediump vec2 a_tex_coord;
attribute mediump vec4 a_color;

varying mediump vec2 v_tex_coord;
varying mediump vec4 v_color;

uniform highp mat4 u_proj;
uniform mediump float u_color;

void main()
{
	gl_Position = u_proj * a_position;
	v_tex_coord = a_tex_coord;
	v_color = vec4( vec3( a_color * u_color ), 1.0 );
}
