// by @mnstrmnch

varying lowp vec3 v_color;
varying mediump vec2 v_tex_coord;

uniform lowp sampler2D u_face_tex;

void main( void )
{
	lowp vec4 t = texture2D( u_face_tex, v_tex_coord );
	lowp vec3 c = mix( v_color, vec3( 1.0 ) - v_color, t.a ) * t.r;

	gl_FragColor = vec4( c, 1.0 );
}
